Summary: A utility for converting amounts from one unit to another.
Name: units
Version: 1.80
Release: 10
Source: ftp://ftp.gnu.org/gnu/units/%{name}-%{version}.tar.gz
Patch0: units-1.80-gcc33.patch
Patch1: units-1.80-parsec.patch
License: GPL
Group: Applications/Engineering
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/install-info

%description
Units converts an amount from one unit to another, or tells you what
mathematical operation you need to perform to convert from one unit to
another. The units program can handle multiplicative scale changes as 
well as conversions such as Fahrenheit to Celsius.

%prep
%setup -q 
%patch0 -p1 -b .gcc33
%patch1 -p1 -b .parsec

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall datadir=$RPM_BUILD_ROOT/usr/share/ 
gzip $RPM_BUILD_ROOT%{_infodir}/units.info

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/units.info.gz %{_infodir}/dir

%preun
/sbin/install-info %{_infodir}/units.info.gz --delete %{_infodir}/dir

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/units.dat
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 24 2003 Harald Hoyer <harald@redhat.de> 1.80-8
- au is now astronomicalunit

* Wed Jun 11 2003 Harald Hoyer <harald@redhat.de> 1.80-7
- fix parsecs #96982

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 23 2003 Jeremy Katz <katzj@redhat.com> 1.80-5
- fix build with gcc 3.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 17 2002 Harald Hoyer <harald@redhat.de> 1.80-2
- changed description

* Tue Nov 05 2002 Harald Hoyer <harald@redhat.de> 1.80-1
- update to version 1.80

* Tue Jul 23 2002 Harald Hoyer <harald@redhat.de>
- removed prestripping

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 14 2001 Harald Hoyer <harald@redhat.de> 1.74-1
- bumped version
- this fixed #54971

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.55-10
- rebuild with new readline

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild, FHS stuff

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new readline

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Nov 22 1999 Bill Nottingham <notting@redhat.com>
- fix install-info (#6631)

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip files

* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- update to 1.55

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- units.lib corrections (problem #685)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
